#
# XAMPP settings
#

<IfModule env_module>
    SetEnv MIBDIRS "C:/Users/Mathieu Loranger/Documents/Moodle Bon/server/php/extras/mibs"
    SetEnv MYSQL_HOME "\\xampp\\mysql\\bin"
    SetEnv OPENSSL_CONF "C:/Users/Mathieu Loranger/Documents/Moodle Bon/server/apache/bin/openssl.cnf"
    SetEnv PHP_PEAR_SYSCONF_DIR "\\xampp\\php"
    SetEnv PHPRC "\\xampp\\php"
    SetEnv TMP "\\xampp\\tmp"
</IfModule>

#
# PHP-Module setup
#
LoadFile "C:/Users/Mathieu Loranger/Documents/Moodle Bon/server/php/php5ts.dll"
LoadFile "C:/Users/Mathieu Loranger/Documents/Moodle Bon/server/php/libpq.dll"
LoadModule php5_module "C:/Users/Mathieu Loranger/Documents/Moodle Bon/server/php/php5apache2_4.dll"

<FilesMatch "\.php$">
    SetHandler application/x-httpd-php
</FilesMatch>
<FilesMatch "\.phps$">
    SetHandler application/x-httpd-php-source
</FilesMatch>

#
# PHP-CGI setup
#
#<FilesMatch "\.php$">
#    SetHandler application/x-httpd-php-cgi
#</FilesMatch>
#<IfModule actions_module>
#    Action application/x-httpd-php-cgi "/php-cgi/php-cgi.exe"
#</IfModule>


<IfModule php5_module>
    PHPINIDir "C:/Users/Mathieu Loranger/Documents/Moodle Bon/server/php"
</IfModule>

<IfModule mime_module>
    AddType text/html .php .phps
</IfModule>

<IfModule alias_module>

    Alias /licenses "C:/Users/Mathieu Loranger/Documents/Moodle Bon/server/licenses/"
    <Directory "C:/Users/Mathieu Loranger/Documents/Moodle Bon/server/licenses">
        Options +Indexes
        <IfModule autoindex_color_module>
            DirectoryIndexTextColor  "#000000"
            DirectoryIndexBGColor "#f8e8a0"
            DirectoryIndexLinkColor "#bb3902"
            DirectoryIndexVLinkColor "#bb3902"
            DirectoryIndexALinkColor "#bb3902"
        </IfModule>
        Require all granted
   </Directory>

</IfModule>

#
# New XAMPP security concept
#
<LocationMatch "^/(?i:(?:licenses|server-status|server-info))">
        Require local
	ErrorDocument 403 /error/XAMPP_FORBIDDEN.html.var
</LocationMatch>

